RagTime5SpreadsheetInternal::Sheet Struct Reference documentation

Classes | Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::Sheet Struct Reference

internal: a structure used to store a sheet in RagTime5SpreadsheetInternal More...

## Classes
struct | Plane
| a plane: a list of rows map More...
struct | Row
| a row: a list of cell map More...

## Public Member Functions
| Sheet ()
| constructor More...
librevenge::RVNGString | getName (int plane) const
| returns a name corresponding to a plane More...
void | increasePlaneSizeIfNeeded (int newPlane)
| increase the number of planes if need More...
int | getNumPlanes () const
| returns the number of planes More...
void | setPLCValues (MWAWVec3i const &minPos, MWAWVec3i const &maxPos, int plcType, int plcId)
| stores a plc More...
void | setMergedCells (MWAWVec3i const &minPos, MWAWVec3i const &maxPos)
| stores an union of cells More...
float | getRowHeight (int row) const
| returns the row height in point More...
void | setRowsHeight (MWAWVec2i const &rows, float height)
| sets the row heights More...
float | getColWidth (int col) const
| returns the col width in point More...
std::vector< float > | getColumnWidths (std::vector< int > &repeated) const
| returns the col width dimension in point More...
void | setColsWidth (MWAWVec2i const &cols, float width)
| sets the row widths More...
MWAWVec2f | getCellDimensions (MWAWVec2i const &position, int plane) const
| returns the cell dimension More...
MWAWVec2i | getBottomRightCell (MWAWVec2i const &position, int plane) const
| returns the bottom right cell More...
MWAWVec2i | getSpan (MWAWVec2i const &position, int plane) const
| returns the span value corresponding to an id More...
int | getGraphicStyleId (int id) const
| returns the graphic id More...
bool | getTextPLC (int id, TextPLC &plc) const
| retrieves the text plc More...

## Public Attributes
librevenge::RVNGString | m_name
| the sheet name More...
int | m_textboxZoneId
| the text zone id More...
float | m_colWidthDef
| the default col width in point More...
std::map< MWAWVec2i, float > | m_colWidthsMap
| the col widths: map for cols positions to width in points More...
float | m_rowHeightDef
| the default row height in point More...
std::map< MWAWVec2i, float > | m_rowHeightsMap
| the row heights: map from rows positions to height in points More...
std::map< int, MWAWCellContent::FormulaInstruction > | m_blockToCellRefMap
| the list of block id to ref position More...
std::map< int, MWAWCellContent::FormulaInstruction > | m_valueToCellRefMap
| the list of value id to ref position More...
std::map< int, MWAWCellContent::FormulaInstruction > | m_refToCellRefMap
| the list of ref id to ref position More...
RagTime5ClusterManager::Link | m_formulaLink
| the formula link More...
std::map< int, std::vector< MWAWCellContent::FormulaInstruction > > | m_idToFormula
| all the formula More...
std::vector< CellValue > | m_valuesList
| the list of values More...
std::vector< Plane > | m_planesList
| the list of planes More...
std::vector< GraphicPLC > | m_graphicPLCList
| the graph plc More...
GraphicPLC | m_defGraphicPLC
| the default graphic plc More...
std::vector< TextPLC > | m_textPLCList
| the text plc More...
TextPLC | m_defTextPLC
| the default text plc More...
BorderPLC | m_defBordersPLC [2]
| the default border plc (vertical and horizontal) More...
MWAWFont | m_defaultFont
| the default font (Palatino, 12) More...
MWAWParagraph | m_defaultParagraph
| the default paragraph More...
std::vector< RagTime5StructManager::ZoneLink > | m_childList
| the list of child zone: picture, button, ... More...
bool | m_isSent
| a flag to know if the sheet has been sent More...

## Detailed Description

internal: a structure used to store a sheet in RagTime5SpreadsheetInternal

## Constructor & Destructor Documentation

## ◆ Sheet()

RagTime5SpreadsheetInternal::Sheet::Sheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBottomRightCell()

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::getBottomRightCell | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the bottom right cell

Referenced by getCellDimensions(), and RagTime5Spreadsheet::send().

## ◆ getCellDimensions()

MWAWVec2f RagTime5SpreadsheetInternal::Sheet::getCellDimensions | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the cell dimension

Referenced by RagTime5Spreadsheet::send().

## ◆ getColumnWidths()

std::vector< float > RagTime5SpreadsheetInternal::Sheet::getColumnWidths | ( | std::vector< int > & | repeated | ) | const
| inline

returns the col width dimension in point

Referenced by RagTime5Spreadsheet::send().

## ◆ getColWidth()

float RagTime5SpreadsheetInternal::Sheet::getColWidth | ( | int | col | ) | const
| inline

returns the col width in point

Referenced by getCellDimensions().

## ◆ getGraphicStyleId()

int RagTime5SpreadsheetInternal::Sheet::getGraphicStyleId | ( | int | id | ) | const
| inline

returns the graphic id

Referenced by RagTime5Spreadsheet::send().

## ◆ getName()

librevenge::RVNGString RagTime5SpreadsheetInternal::Sheet::getName | ( | int | plane | ) | const
| inline

returns a name corresponding to a plane

Referenced by RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::send(), and setPLCValues().

## ◆ getNumPlanes()

int RagTime5SpreadsheetInternal::Sheet::getNumPlanes | ( |  | ) | const
| inline

returns the number of planes

Referenced by RagTime5Spreadsheet::send().

## ◆ getRowHeight()

float RagTime5SpreadsheetInternal::Sheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row height in point

Referenced by getCellDimensions(), and RagTime5Spreadsheet::send().

## ◆ getSpan()

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::getSpan | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the span value corresponding to an id

Referenced by getBottomRightCell(), and RagTime5Spreadsheet::send().

## ◆ getTextPLC()

bool RagTime5SpreadsheetInternal::Sheet::getTextPLC | ( | int | id,
|  | TextPLC & | plc
| ) |  | const
| inline

retrieves the text plc

Referenced by RagTime5Spreadsheet::send().

## ◆ increasePlaneSizeIfNeeded()

void RagTime5SpreadsheetInternal::Sheet::increasePlaneSizeIfNeeded | ( | int | newPlane | ) |
| inline

increase the number of planes if need

Referenced by setMergedCells(), and setPLCValues().

## ◆ setColsWidth()

void RagTime5SpreadsheetInternal::Sheet::setColsWidth | ( | MWAWVec2i const & | cols,
|  | float | width
| ) |  |
| inline

sets the row widths

Referenced by RagTime5Spreadsheet::readSheetDimensions().

## ◆ setMergedCells()

void RagTime5SpreadsheetInternal::Sheet::setMergedCells | ( | MWAWVec3i const & | minPos,
|  | MWAWVec3i const & | maxPos
| ) |  |
| inline

stores an union of cells

Referenced by RagTime5Spreadsheet::readCellBlocks().

## ◆ setPLCValues()

void RagTime5SpreadsheetInternal::Sheet::setPLCValues | ( | MWAWVec3i const & | minPos,
|  | MWAWVec3i const & | maxPos,
|  | int | plcType,
|  | int | plcId
| ) |  |
| inline

stores a plc

Referenced by RagTime5SpreadsheetInternal::CellPLCParser::parseData(), and RagTime5Spreadsheet::readValuesTree().

## ◆ setRowsHeight()

void RagTime5SpreadsheetInternal::Sheet::setRowsHeight | ( | MWAWVec2i const & | rows,
|  | float | height
| ) |  |
| inline

sets the row heights

Referenced by RagTime5Spreadsheet::readSheetDimensions().

## Member Data Documentation

## ◆ m_blockToCellRefMap

std::map<int, MWAWCellContent::FormulaInstruction> RagTime5SpreadsheetInternal::Sheet::m_blockToCellRefMap

the list of block id to ref position

Referenced by RagTime5Spreadsheet::readCellBlocks(), and RagTime5Spreadsheet::readCellRefPos().

## ◆ m_childList

std::vector<RagTime5StructManager::ZoneLink> RagTime5SpreadsheetInternal::Sheet::m_childList

the list of child zone: picture, button, ...

Referenced by RagTime5Spreadsheet::send().

## ◆ m_colWidthDef

float RagTime5SpreadsheetInternal::Sheet::m_colWidthDef

the default col width in point

Referenced by getColWidth(), and setColsWidth().

## ◆ m_colWidthsMap

std::map<MWAWVec2i, float> RagTime5SpreadsheetInternal::Sheet::m_colWidthsMap

the col widths: map for cols positions to width in points

Referenced by getColumnWidths(), getColWidth(), and setColsWidth().

## ◆ m_defaultFont

MWAWFont RagTime5SpreadsheetInternal::Sheet::m_defaultFont

the default font (Palatino, 12)

Referenced by RagTime5Spreadsheet::send().

## ◆ m_defaultParagraph

MWAWParagraph RagTime5SpreadsheetInternal::Sheet::m_defaultParagraph

the default paragraph

Referenced by RagTime5Spreadsheet::send().

## ◆ m_defBordersPLC

BorderPLC RagTime5SpreadsheetInternal::Sheet::m_defBordersPLC[2]

the default border plc (vertical and horizontal)

Referenced by RagTime5SpreadsheetInternal::CellPLCParser::parseData(), and RagTime5Spreadsheet::send().

## ◆ m_defGraphicPLC

GraphicPLC RagTime5SpreadsheetInternal::Sheet::m_defGraphicPLC

the default graphic plc

Referenced by RagTime5SpreadsheetInternal::CellPLCParser::parseData(), and RagTime5Spreadsheet::send().

## ◆ m_defTextPLC

TextPLC RagTime5SpreadsheetInternal::Sheet::m_defTextPLC

the default text plc

Referenced by RagTime5SpreadsheetInternal::CellPLCParser::parseData(), and RagTime5Spreadsheet::send().

## ◆ m_formulaLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::Sheet::m_formulaLink

the formula link

## ◆ m_graphicPLCList

std::vector<GraphicPLC> RagTime5SpreadsheetInternal::Sheet::m_graphicPLCList

the graph plc

Referenced by getGraphicStyleId(), and RagTime5SpreadsheetInternal::CellPLCParser::parseData().

## ◆ m_idToFormula

std::map<int, std::vector<MWAWCellContent::FormulaInstruction> > RagTime5SpreadsheetInternal::Sheet::m_idToFormula

all the formula

Referenced by RagTime5Spreadsheet::send().

## ◆ m_isSent

bool RagTime5SpreadsheetInternal::Sheet::m_isSent

a flag to know if the sheet has been sent

Referenced by RagTime5Spreadsheet::send().

## ◆ m_name

librevenge::RVNGString RagTime5SpreadsheetInternal::Sheet::m_name

the sheet name

Referenced by getName().

## ◆ m_planesList

std::vector<Plane> RagTime5SpreadsheetInternal::Sheet::m_planesList

the list of planes

Referenced by getNumPlanes(), getSpan(), increasePlaneSizeIfNeeded(), RagTime5SpreadsheetInternal::CellPLCParser::parseData(), RagTime5Spreadsheet::send(), setMergedCells(), and setPLCValues().

## ◆ m_refToCellRefMap

std::map<int, MWAWCellContent::FormulaInstruction> RagTime5SpreadsheetInternal::Sheet::m_refToCellRefMap

the list of ref id to ref position

Referenced by RagTime5Spreadsheet::readCellRefPos().

## ◆ m_rowHeightDef

float RagTime5SpreadsheetInternal::Sheet::m_rowHeightDef

the default row height in point

Referenced by getRowHeight(), and setRowsHeight().

## ◆ m_rowHeightsMap

std::map<MWAWVec2i, float> RagTime5SpreadsheetInternal::Sheet::m_rowHeightsMap

the row heights: map from rows positions to height in points

Referenced by getRowHeight(), RagTime5Spreadsheet::send(), and setRowsHeight().

## ◆ m_textboxZoneId

int RagTime5SpreadsheetInternal::Sheet::m_textboxZoneId

the text zone id

Referenced by RagTime5Spreadsheet::send().

## ◆ m_textPLCList

std::vector<TextPLC> RagTime5SpreadsheetInternal::Sheet::m_textPLCList

the text plc

Referenced by getTextPLC(), and RagTime5SpreadsheetInternal::CellPLCParser::parseData().

## ◆ m_valuesList

std::vector<CellValue> RagTime5SpreadsheetInternal::Sheet::m_valuesList

the list of values

Referenced by RagTime5SpreadsheetInternal::ValuesParser::parseData(), RagTime5Spreadsheet::send(), and RagTime5SpreadsheetInternal::Sheet::Plane::update().

## ◆ m_valueToCellRefMap

std::map<int, MWAWCellContent::FormulaInstruction> RagTime5SpreadsheetInternal::Sheet::m_valueToCellRefMap

the list of value id to ref position

Referenced by RagTime5Spreadsheet::readCellRefPos(), and setPLCValues().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx